// 内部でクリックされたかどうかを判定する変数を用意
int inside = 0;

void setup() {
  // 適当に500x500のウインドウにする
  size( 500, 500 );
}

void draw() {
  // 背景は灰色で
  background(100);
  noStroke();
  // inside==0なら白色，1なら黒色とする
  if ( inside == 0 ) {
    fill(255);
  } 
  else if ( inside == 1 ) {
    fill(0);
  } 
  else {
    // それ以外のことは無い
  }
  rect( 200, 50, 100, 400 );
  rect( 50, 200, 400, 100 );

  // 変数の値を表示する
  showIntValue( 1, "inside", inside );
  showIntValue( 2, "mouseX", mouseX );
  showIntValue( 3, "mouseY", mouseY );
}

void mousePressed() {
  if ( (mouseX >= 50 && mouseX <= 450) && (mouseY >= 200 && mouseY <= 300 ) ) {
    inside = 1;
  }  
  else  if ( (mouseX >= 200 && mouseX <= 300) && (mouseY >= 50 && mouseY <= 450 ) ) {
    inside = 1;
  }
}

// -- 8< - 8< -- ここから下をコピペして使って --- 8< - 8< --------
// 変数の情報を表示するための関数ですので無視してくれて結構です
// 0番から始めて，1，2，3，4と順に下に並んでいきます
// [使い方]
// 整数を表示する場合 showIntValue( 0, "x", x );
// 実数を表示する場合 showIntValue( 0, "面積", r*r*3.14 );
void showIntValue( int num, String name, int value ) {
  showValue( num, name, ""+value );
}

void showFloatValue( int num, String name, float value ) {
  showValue( num, name, ""+value );
}

void showValue( int num, String name, String value ) {
  int margin = 5;
  int unitWidth = 100;
  int unitHeight = 30;
  textSize( 15 );

  stroke( 0 );
  strokeWeight( 1 );
  fill( 255, 100 );
  rect( width-unitWidth*2, num*unitHeight, unitWidth, unitHeight );
  rect( width- unitWidth, num*unitHeight, unitWidth, unitHeight );
  fill( 0 );
  text( name, width-unitWidth*2+margin, (num+1)*unitHeight-margin );
  text( ""+value, width-unitWidth+margin, (num+1)*unitHeight-margin );
}
// -- 8< - 8< -- ここまでコピペして使って --- 8< - 8< ------------

